Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231982 - yelp doesn't start
Summary: yelp doesn't start
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: yelp
Version: rawhide
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-13 13:37 UTC by sangu
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: gnome-vfs2-2.18.0.1-1.fc7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-15 04:23:31 UTC


Attachments (Terms of Use)

Description sangu 2007-03-13 13:37:45 UTC
Description of problem:
$ gdb yelp
GNU gdb Red Hat Linux (6.6-5.fc7rh)
Copyright (C) 2006 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-redhat-linux-gnu"...
Using host libthread_db library "/lib/libthread_db.so.1".
(gdb) r
Starting program: /usr/bin/yelp 
[Thread debugging using libthread_db enabled]
[New Thread -1208793376 (LWP 3121)]
[New Thread -1212380272 (LWP 3124)]
[New Thread -1240654960 (LWP 3125)]

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -1208793376 (LWP 3121)]
0x0806555b in window_do_load (window=0x8661078, doc_info=0x85e4920, 
    frag_id=0x0) at yelp-window.c:999
999     {
(gdb) bt
#0  0x0806555b in window_do_load (window=0x8661078, doc_info=0x85e4920, 
    frag_id=0x0) at yelp-window.c:999
#1  0x08064606 in yelp_window_load (window=0x8661078, 
    uri=0x8076a09 "x-yelp-toc:") at yelp-window.c:972
#2  0x08064b31 in history_step_back (window=0x8661078) at yelp-window.c:715
#3  0x08064ce7 in window_error (window=0x0, error=0x88f11c8, pop=0)
    at yelp-window.c:1106
#4  0x08065703 in window_do_load (window=0x8661078, doc_info=0xb7bccf46, 
    frag_id=0x0) at yelp-window.c:1088
#5  0x08064606 in yelp_window_load (window=0x8661078, 
    uri=0x8076a09 "x-yelp-toc:") at yelp-window.c:972
#6  0x08064b31 in history_step_back (window=0x8661078) at yelp-window.c:715
#7  0x08064ce7 in window_error (window=0x0, error=0x88f11b8, pop=0)
    at yelp-window.c:1106
#8  0x08065703 in window_do_load (window=0x8661078, doc_info=0xb7bccf46, 
    frag_id=0x0) at yelp-window.c:1088
#9  0x08064606 in yelp_window_load (window=0x8661078, 
    uri=0x8076a09 "x-yelp-toc:") at yelp-window.c:972
#10 0x08064b31 in history_step_back (window=0x8661078) at yelp-window.c:715
#11 0x08064ce7 in window_error (window=0x0, error=0x88f1118, pop=0)
    at yelp-window.c:1106
#12 0x08065703 in window_do_load (window=0x8661078, doc_info=0xb7bccf46, 
    frag_id=0x0) at yelp-window.c:1088
[...]

Version-Release number of selected component (if applicable):
2.18.0-1.fc7

How reproducible:
always

Steps to Reproduce:
1. $yelp
2.
3.
  
Actual results:


Expected results:


Additional info:


Note You need to log in before you can comment on or make changes to this bug.